Xpoint
   [напомнить пароль]

Поддержка mbregex в Zend Core для Windows

Метки: [без меток]
[удл]
2009-03-23 15:18:39 [обр] Антон Иконников(2/30)[досье]

Есть Zend Core 2.5.2, в нем есть PHP.
В линукс версии этого Zend Core в php есть поддержка mbregex (те. которые Oniguruma), а в виндовой версии нет.

Немного погуглив, предполагаю, что библиотека php_mbstring.dll собрана без mbregex.

Что мне сделать, чтобы mbregex у меня были и в винде? Сразу предупрежу, что на варианты типа "скомпилируйте свою версию библиотеки из исходников" я буду смотреть как баран, поскольку ниче в этом не понимаю. Поэтому, если самое простое решение такое, распишите, пожалуйста, подробно, что нужно сделать.

спустя 12 минут [обр] MiRacLe(47/77)[досье]
а положить кошерную php_mbstring.dll пробовали ?
спустя 7 минут [обр] Антон Иконников(2/30)[досье]
А где ее взять?
спустя 22 минуты [обр] MiRacLe(47/77)[досье]
спустя 53 минуты [обр] Антон Иконников(2/30)[досье]
Не все так просто. Скачал php 5.2.6 (тот же, что и был). Заменил одну библиотеку другой (размеры отличались), перезапустил, а он говорит мне, что может ее загрузить, типа "не найден указанный модуль".
спустя 38 минут [обр] Marat Tanalin(3/78)[досье]
Раскомментировать строку extension=php_mbstring.dll в php.ini?
спустя 42 минуты [обр] Антон Иконников(2/30)[досье]
Marat Tanalin[досье] Еще раз внимательно всю тему прочитайте, пожалуйста.
спустя 38 минут [обр] Marat Tanalin(3/78)[досье]
Антон Иконников[досье]
Будьте конкретнее, пожалуйста.
спустя 5 минут [обр] Василий Свиридов(53/175)[досье]
Marat Tanalin[досье]Если PHP ругается на бинарную совместимость DLL, то она явно уже подключена в php.ini.
спустя 12 минут [обр] Антон Иконников(2/30)[досье]

Проблема решена.
Нужна была библиотека из php 5.2.6 Non-thread-safe. Кто ж знал-то...

Вообще, судя по тому, что в интернете пишут, с этой php_mbstring.dll довольно часто возникают такие проблемы. Лечение, судя по всему - это нахождение правильной версии библиотеки, подходящей именно вашему php.

Powered by POEM™ Engine Copyright © 2002-2005